<?php
/*
# ------------------------------------------------------------------------
# SP Mortgage Calculator module by JoomShaper.com
# ------------------------------------------------------------------------
# Copyright (C) 2010 - 2015 JoomShaper.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# Author: JoomShaper.com
# Websites:  http://www.joomshaper.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load the method jquery script.
JHtml::_('jquery.framework');

?>

<script type="text/javascript">
	jQuery(function($){

		function calculate() {
			var a= $("#mc_price").val();//price
			var b= $("#mc_interest").val();//Interset
			var c= $("#mc_year").val();//Year
			var d= $("#mc_down_payment").val();//Down Payment
			
			//Calculation
			if (d!='') a=a-d; 
			var i=b/(12*100);
			var n = c*12;
			var M = a*[(i*Math.pow((1+i),n))]/[(Math.pow((1+i),n)-1)];
			$("#mc_result").text(round(M,2));

			//var x = document.getElementById("mc_price");
		}

		function round(val,dec){
			var result=Math.round(val*Math.pow(10,dec))/Math.pow(10,dec);
			return result
		}

		$( window ).on('load', function() {
			calculate();
		});

		$('#mc_price, #mc_interest, #mc_year, #mc_down_payment').on('keyup', function(event){
			event.preventDefault();
			calculate();
		});


		//max lenth
		var max_chars = 3;

		$('#mc_interest, #mc_year').keydown( function(e){
			if ($(this).val().length >= 2) { 
				$(this).val($(this).val().substr(0, max_chars));
			}
		});

		$('#mc_interest, #mc_year').keyup( function(e){
			if ($(this).val().length >= 2) { 
				$(this).val($(this).val().substr(0, max_chars));
			}
		});


	});
</script>


<div id="mortgage_calculator">
	<div class="sp_mc_inner">
		<label for="mc_price"><?php echo JText::_('PRICE') ?></label>
		<input type="number" size="<?php echo $text_size ?>" id="mc_price" name="price" value="<?php echo $price ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<label for="mc_interest"><?php echo JText::_('INTEREST') ?></label>
		<input type="number" size="<?php echo $text_size ?>" id="mc_interest" name="interest" value="<?php echo $interest ?>" />
		<div class="sp_mc_clr"></div>
	</div>
	<div class="sp_mc_inner">
		<label for="mc_year"><?php echo JText::_('TERM') ?></label>
		<input type="number" size="<?php echo $text_size ?>" id="mc_year" name="year" value="<?php echo $year ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<label for="mc_down_payment"><?php echo JText::_('DOWN_PAYMENT') ?></label>
		<input type="number" size="<?php echo $text_size ?>" id="mc_down_payment" name="down_payment" value="<?php echo $down_payment ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<div id="mc_result_text"><?php echo JText::_('MONTHLY_PAYMENT') ?></div>
		<p id="mc_result"></p>
		<div class="sp_mc_clr"></div>
	</div>
</div>