<?php
/*
# ------------------------------------------------------------------------
# SP Mortgage Calculator module by JoomShaper.com
# ------------------------------------------------------------------------
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# Author: JoomShaper.com
# Websites:  http://www.joomshaper.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<script type="text/javascript">
	function calculate() {
		var a=document.id("mc_price").value;//price
		var b=document.id("mc_interest").value;//Interset
		var c=document.id("mc_year").value;//Year
		var d=document.id("mc_down_payment").value;//Down Payment
		
		//Calculation
		if (d!='') a=a-d; 
		var i=b/(12*100);
		var n = c*12;
		var M = a*[(i*Math.pow((1+i),n))]/[(Math.pow((1+i),n)-1)];
		document.id("mc_result").set('html', round(M,2));
	}
	function round(val,dec){
		var result=Math.round(val*Math.pow(10,dec))/Math.pow(10,dec);
		return result
	}
	window.addEvent('load', function() {
		calculate();
	});
</script>
<div id="mortgage_calculator">
	<div class="sp_mc_inner">
		<label for="mc_price"><?php echo JText::_('PRICE') ?></label>
		<input type="text" size="<?php echo $text_size ?>" id="mc_price" name="price" onkeyup="calculate()" value="<?php echo $price ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<label for="mc_interest"><?php echo JText::_('INTEREST') ?></label>
		<input type="text" size="<?php echo $text_size ?>" id="mc_interest" name="interest" onkeyup="calculate()" value="<?php echo $interest ?>" />
		<div class="sp_mc_clr"></div>
	</div>
	<div class="sp_mc_inner">
		<label for="mc_year"><?php echo JText::_('TERM') ?></label>
		<input type="text" size="<?php echo $text_size ?>" id="mc_year" name="year" onkeyup="calculate()" value="<?php echo $year ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<label for="mc_down_payment"><?php echo JText::_('DOWN_PAYMENT') ?></label>
		<input type="text" size="<?php echo $text_size ?>" id="mc_down_payment" name="down_payment" onkeyup="calculate()" value="<?php echo $down_payment ?>" />
		<div class="sp_mc_clr"></div>
	</div>

	<div class="sp_mc_inner">
		<div id="mc_result_text"><?php echo JText::_('MONTHLY_PAYMENT') ?></div>
		<p id="mc_result"></p>
		<div class="sp_mc_clr"></div>
	</div>
</div>